> ## Documentation Index
> Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List a gateway's domains

> Lists the DNS records that point at the gateway.



## OpenAPI

````yaml /api-reference/endpoint/gateway/openapi.json get /gateway/{gateway_topic}/dns-records
openapi: 3.0.3
info:
  title: quiva.ai Gateways API
  description: >-
    quiva.ai Gateway API for managing gateway infrastructure and routing API
    requests.
  version: 1.0.0
  contact:
    name: quiva.ai Support
    email: support@quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Gateways
    description: Gateway management endpoints
  - name: Mappings
    description: Gateway Mapping management endpoints
  - name: Mapping Versions
    description: Gateway Mapping Version management endpoints
  - name: DNS Zones
    description: Custom domain zones managed on the gateway
  - name: DNS Records
    description: Records inside a DNS zone, and the domains a gateway answers on
  - name: Certificates
    description: TLS certificates for a DNS record
paths:
  /gateway/{gateway_topic}/dns-records:
    get:
      tags:
        - DNS Records
      summary: List a gateway's domains
      description: Lists the DNS records that point at the gateway.
      operationId: getGatewayDomains
      parameters:
        - name: gateway_topic
          in: path
          required: true
          description: Gateway topic
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  body:
                    type: object
                    properties:
                      results:
                        type: array
                        items:
                          type: object
                          properties:
                            subject:
                              type: string
                              description: Record subject
                            domain_name:
                              type: string
                              description: Zone domain
                            type:
                              type: string
                              description: A, CNAME, MX, TXT and so on
                            name:
                              type: string
                              description: Record name; `@` is the zone apex
                            value:
                              type: string
                              description: Record value
                            priority:
                              type: integer
                              description: MX priority
                            ttl:
                              type: integer
                              description: Time to live in seconds
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Gateway not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.